module Horizon.Gen.Nix.Types.PackagesDirectory (PackagesDirectory(MkPackagesDirectory), fromPackagesDirectory) where

import           Data.Kind (Type)
import           Path      (Dir, Path, Rel)


type PackagesDirectory :: Type
data PackagesDirectory where
  MkPackagesDirectory :: { fromPackagesDirectory :: Path Rel Dir } -> PackagesDirectory
  deriving stock (Show, Eq)
